
Figure - Bug #118052
【IOVDEV-28498】【IOVDEV-32043】【IOVDEV-31956】【IOVDEV-33351】【内部】【VC1】【0095】【台
架】【EE环境】【副屏】monkey中断，疑似重启过�
2023-05-18 17:12 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-26

Priority: High Due date: 2023-06-05

Assignee: CD TEST-方永红 % Done: 100%

Category: 重启 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-26

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230516 20：15-20230517 08:50

【前提条件】：1.副屏上电

2.中控已连接

3.功放已连接

4.副屏没有第三方应用

【操作步骤】

1.执行monkey脚本

【实际结果】

1.早上上班来到之后副屏在屏保界面，monkey已停止，疑似副屏重启过

【期望结果】

1.monkey正常运行，副屏无重启、死机现象

【备注】：

【当前开机次数】：77

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0080.C101

【副屏版本号】：01.00.0095.c103

Subtasks:

Bug # 118269: 【IOVDEV-30662】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏mon... CLOSED

Bug # 118275: 【IOVDEV-30661】【内部】【VC1】【100】【台架】【EE环境】【副屏】进行mone... CLOSED

Bug # 118383: 【IOVDEV-31662】【VC1】【0100】【台架】【EE环境】【副屏】副屏monkey测... CLOSED

Related issues:

Related to Figure - Bug # 118059: 【IOVDEV-28591】【自动化测试】【稳... CLOSED 2023-05-18

Related to Figure - Bug # 118414: 【IOVDEV-31956】【内部】【VC1】... CLOSED 2023-06-01

Related to Figure - Bug # 118423: 【IOVDEV-32043】【自动化测试】【稳... CLOSED 2023-06-01

Related to Figure - Bug # 118457: 【AF】【EVT3】【Monkey】106版本... CLOSED 2023-06-02

Related to Figure - Bug # 118516: 【IOVDEV-32609】【内部】【VC1】... CLOSED 2023-06-05
Related to Figure - Bug # 118510: 【AF】【EVT3】【Monkey】106版本... CLOSED 2023-06-05

Related to Figure - Bug # 118619: 【AF】【EVT3】【Monkey】107版本... CLOSED 2023-06-07

History

#1 - 2023-05-19 10:38 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

请帮忙下载下日志，研发这边bug数量太多，只有一个账号可以下载日志，速度太慢，经常断连

#2 - 2023-05-23 13:37 - CDTS_Test 吴诗雨

已飞书发送

#3 - 2023-05-23 13:38 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

#4 - 2023-05-23 21:38 - CDTS_TEST 王成

- Fixed Version set to 2023-05-26

#5 - 2023-05-23 21:43 - CDTS_TEST 王成

- Due date set to 2023-05-26

#6 - 2023-05-23 21:46 - CDTS-TEST 周婷

- Priority changed from Normal to Urgent

- Severity changed from Normal to Critical

#7 - 2023-05-23 22:02 - CDTS-TEST 周婷

- Status changed from NEED_INFO to ASSIGNED

#8 - 2023-05-23 22:13 - CD FW 曹覃刚

■ 我的分析

surfaceflinger报空指针了，导致系统进程挂了

05-17 04:10:19.476  1582  1582 F DEBUG   : * 

05-17 04:10:19.476  1582  1582 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3279:user/test-keys'

05-17 04:10:19.476  1582  1582 F DEBUG   : Revision: '0'

05-17 04:10:19.476  1582  1582 F DEBUG   : ABI: 'arm64'

05-17 04:10:19.476  1582  1582 F DEBUG   : Timestamp: 2023-05-17 04:10:19.306145641+0800

05-17 04:10:19.476  1582  1582 F DEBUG   : Process uptime: 0s

05-17 04:10:19.476  1582  1582 F DEBUG   : Cmdline: /system/bin/surfaceflinger

05-17 04:10:19.476  1582  1582 F DEBUG   : pid: 911, tid: 911, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

05-17 04:10:19.476  1582  1582 F DEBUG   : uid: 1000

05-17 04:10:19.476  1582  1582 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

05-17 04:10:19.476  1582  1582 F DEBUG   : Cause: null pointer dereference

05-17 04:10:19.476  1582  1582 F DEBUG   :     x0  b4000078e6961600  x1  b4000077a6d68070  x2  0000007776781810  x3  0000007fe313a4b8

05-17 04:10:19.476  1582  1582 F DEBUG   :     x4  0000000000000018  x5  00000077566f2b10  x6  0000000000010e87  x7  0000000000010e87

05-17 04:10:19.476  1582  1582 F DEBUG   :     x8  b4000078e695ef20  x9  00000000000026e0  x10 00000077766f6000  x11 0000000000000030

05-17 04:10:19.476  1582  1582 F DEBUG   :     x12 0000000000000019  x13 0000011ca80d04b2  x14 0037178a42cf6800  x15 0000000034155555

05-17 04:10:19.476  1582  1582 F DEBUG   :     x16 0000005614231c10  x17 0000007a6c71bec0  x18 0000007a714b0000  x19 0000000000000000
05-17 04:10:19.476  1582  1582 F DEBUG   :     x20 b4000077a6d68070  x21 b4000078e6961600  x22 b4000078e69b9968  x23 0000007a7038c000

05-17 04:10:19.477  1582  1582 F DEBUG   :     x24 0000000000000000  x25 b4000077d6740a78  x26 0000000000000001  x27 0000000000002559

05-17 04:10:19.477  1582  1582 F DEBUG   :     x28 00000000000026bd  x29 0000007fe313a4c0

05-17 04:10:19.477  1582  1582 F DEBUG   :     lr  0000005613da17a0  sp  0000007fe313a4c0  pc  0000007a6c71bee0  pst 0000000060001000

05-17 04:10:19.477  1582  1582 F DEBUG   : backtrace:

05-17 04:10:19.477  1582  1582 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #01 pc 000000000015b79c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_destroy(void*, unsigned long) const+68) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #02 pc 0000000000014be4  /system/lib64/libutils.so (android::VectorImpl::operator=(android::VectorImpl const&)+112)

(BuildId: b940f836006eead456c936e97e64d2d4)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #03 pc 00000000001584c8  /system/bin/surfaceflinger (android::Layer::commitChildList()+80) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #04 pc 000000000014f7a0  /system/bin/surfaceflinger (android::Layer::traverse(android::LayerVector::StateSet,

std::__1::function<void (android::Layer*)> const&)+76) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #05 pc 000000000019ed14  /system/bin/surfaceflinger (android::SurfaceFlinger::commitTransactionLocked()+576)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #06 pc 0000000000195ecc  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+7872)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #07 pc 0000000000193f84  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #08 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #09 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #10 pc 000000000016f71c  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #11 pc 0000000000189080  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+16) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #12 pc 00000000001d6c40  /system/bin/surfaceflinger (main+1640) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-17 04:10:19.477  1582  1582 F DEBUG   :       #13 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

05-17 04:10:19.513  1522  1617 E AndroidRuntime: *** FATAL EXCEPTION IN SYSTEM PROCESS: android.anim

05-17 04:10:19.513  1522  1617 E AndroidRuntime: android.view.Surface$OutOfResourcesException

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at android.view.SurfaceControl.nativeCreate(Native Method)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at android.view.SurfaceControl.<init>(SurfaceControl.java:1435)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at android.view.SurfaceControl.<init>(SurfaceControl.java:87)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at android.view.SurfaceControl$Builder.build(SurfaceControl.java:1108)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at com.android.server.wm.SurfaceAnimator.createAnimationLeash(SurfaceAnimator.java:424)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at com.android.server.wm.SurfaceAnimator.startAnimation(SurfaceAnimator.java:173)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at com.android.server.wm.WindowContainer.startAnimation(WindowContainer.java:2526)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at com.android.server.wm.WindowContainer.startAnimation(WindowContainer.java:2533)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at com.android.server.wm.FadeAnimationController.fadeWindowToken(FadeAnimationController.java:85)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at

com.android.server.wm.NavBarFadeAnimationController.lambda$fadeWindowToken$0$NavBarFadeAnimationController(NavBarFadeAnimationController.java:92)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at com.android.server.wm.NavBarFadeAnimationController$$ExternalSyntheticLambda0.run(Unknown Source:4)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at

com.android.server.wm.NavBarFadeAnimationController.fadeWindowToken(NavBarFadeAnimationController.java:95)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at

com.android.server.wm.NavBarFadeAnimationController$NavFadeAnimationAdapter.shouldDeferAnimationFinish(NavBarFadeAnimationController.java:161)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at

com.android.server.wm.SurfaceAnimator.lambda$getFinishedCallback$1$SurfaceAnimator(SurfaceAnimator.java:134)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at com.android.server.wm.SurfaceAnimator$$ExternalSyntheticLambda0.onAnimationFinished(Unknown Source:4)
05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at

com.android.server.wm.LocalAnimationAdapter.lambda$startAnimation$0$LocalAnimationAdapter(LocalAnimationAdapter.java:56)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at com.android.server.wm.LocalAnimationAdapter$$ExternalSyntheticLambda0.run(Unknown Source:6)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at android.os.HandlerThread.run(HandlerThread.java:67)

05-17 04:10:19.513  1522  1617 E AndroidRuntime:     at com.android.server.ServiceThread.run(ServiceThread.java:44)

05-17 04:10:19.513  1522  1617 I am_crash: [1522,0,system_server,-1,android.view.Surface$OutOfResourcesException,NULL,SurfaceControl.java,-2]

■ 下一步计划

surfaceflinger挂了，需要起个高通case跟踪

#9 - 2023-05-24 10:20 - CDTS-TEST 周婷

- Category changed from CD-FW to 重启

#10 - 2023-05-24 15:20 - CD FW 曹覃刚

■ 我的分析

已起高通case:06641647

■ 下一步计划

推进高通分析，并将高通回复更新到票中

#11 - 2023-05-25 15:52 - CD FW 曹覃刚

■ 我的分析

已起高通case:06641647

高通回复要完整的日志包，已上传日志包

■ 下一步计划

推进高通分析，并将高通回复更新到票中

#12 - 2023-05-26 17:06 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647

05/26, 高通无回复

2.内部自己搞了个方案，已编译了版本，正在验证中，需要长时间跑monkey验证（优先采取高通提供的方案，内部方案仅作为备选）

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/202728

注:由于无法手动复现这个问题，目前只有测试monkey时复现过，因此内部方案的有效性暂不确定

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.验证内部方案是否有效(需要长时间测试monkey)

#13 - 2023-05-27 14:37 - CD FW 曹覃刚
■ 我的分析

1.已起高通case:06641647

05/27, 高通无回复

2.内部自己搞了个方案，已编译了版本，正在验证中（优先采取高通提供的方案，内部方案仅作为备选）

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/202728

验证结果:目前monkey测试18个小时，未复现问题，继续跑测中

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.验证内部方案，需要长时间测试monkey, 已跑测monkey18个小时，继续跑测中

#14 - 2023-05-29 11:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202728 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

FW:SystemOptimization: Improvement of abnormal increase in LayerTC-RID: 1201-0205101IssueID: TS-R-BUG-118052Change-Id:

I2837f714d9c73370787e1e0a923844d1c8faac95

#15 - 2023-05-29 16:27 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647

05/29, 高通无回复

2.内部自己搞了个方案，目前monkey测试60个小时，未复现问题，无周边影响，已入库

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/202728

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.内部方案，测试60个小时，未复现问题，无周边影响，已入库，在后续的版本中持续观察

#16 - 2023-05-30 15:00 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647

05/30, 高通未回复

2.内部自己搞了个方案，已入库，观察中，05/30未爆出相关问题

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.内部方案已入库，在后续的版本中持续观察

#17 - 2023-05-31 16:01 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647
05/31, 高通未回复, 我们这边添加了comment要他们的电话

2.内部自己搞了个方案，已入库，观察中，05/31未爆出相关问题

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.内部方案已入库，在后续的版本中持续观察

#18 - 2023-06-01 18:05 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647

06/01, 高通回复说这似乎是谷歌在SF中的一个错误，让我们找Goggle团队检查

2.内部自己搞了个方案，已入库，观察中，06/01未爆出相关问题

■ 下一步计划

1.检查下起谷歌issue的条件，起谷歌issue

2.内部方案已入库，在后续的版本中持续观察

#19 - 2023-06-02 15:57 - CDTS_Test 吴诗雨

- Subject changed from 【IOVDEV-28498】内部】【VC1】【0095】【台架】【EE环境】【副屏】monkey中断，疑似重启过� to 【IOVDEV-28498】

【IOVDEV-32043】【内部】【VC1】【0095】【台架】【EE环境】【副屏】monkey中断，疑似重启过�

#20 - 2023-06-02 16:39 - CDTS_Test 吴诗雨

- Subject changed from 【IOVDEV-28498】【IOVDEV-32043】【内部】【VC1】【0095】【台架】【EE环境】【副屏】monkey中断，疑似重启过� to 

【IOVDEV-28498】【IOVDEV-32043】【IOVDEV-31956】【内部】【VC1】【0095】【台架】【EE环境】【副屏】monkey中断，疑似重启过�

#21 - 2023-06-02 19:49 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647

06/01, 高通回复说这似乎是谷歌在SF中的一个错误，让我们找Goggle团队检查，同时我们也让高通的同事直接找下谷歌直接沟通看是否可行

06/02, 高通未回复，我们自己提google问题之前都需要用pixel作为依据，需要抓bugreport，以及录屏，需要借台pixel设备

2.内部自己搞了个方案，已入库，观察中，06/02未爆出相关问题

■ 下一步计划

1.借台pixel设备，录复现视频抓日志后，提谷歌issue票

2.内部方案已入库，在后续的版本中持续观察

#22 - 2023-06-05 17:29 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647

06/05, 高通CE会上，要求我们用高通的原型机复现下问题，然后他们去跟google沟通，需要找一台QRD8250的设备来复现

2.做了个work around方案，已入库，观察中，06/05未爆出相关问题

■ 下一步计划

1.找一台QRD8250的设备来复现抓日志, 然后回复高通

2.work around方案已入库，在后续的版本中持续观察
#23 - 2023-06-07 21:59 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647

06/07, 没有借到QRD8250的设备, 无法从这个角度继续推进。今天将关联问题的错误堆栈信息更新到case上了，让高通的

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.内部work aroud方案优化

#24 - 2023-06-08 22:03 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647

06/08, 高通回复让试一下下面的patch ,但是我们的代码已经包含了这个patch

https://android-review.googlesource.com/c/platform/system/core/+/918733

■ 下一步计划

1.继续推进高通分析，并将高通回复更新到票中

2.内部work aroud方案优化

#25 - 2023-06-12 18:04 - CD FW 曹覃刚

■ 我的分析

1.已起高通case:06641647

06/12, 要求我们用高通的8250原型机复现下问题, 他们才会继续分析，没有借到设备，被block

■ 下一步计划

1.去掉4096的改善方案，放开系统4096限制，编译版本跑测

   版本已出/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230605/202306052227-4209，待跑monkey测试

2.编译版本使monkey测试时，不起小窗

   版本已出/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230610/202306101821-4307，待跑monkey测试

3.内部work aroud方案优化, 推进困难， 主要看下1和2，是否能验证OK

#26 - 2023-06-13 10:07 - CD TEST-方永红

6.13

【测试版本1】

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306052227

【测试结果1】

14H未异常停止

【测试版本2】

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306101821

【测试结果2】

14H未异常停止

#27 - 2023-06-13 15:11 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- Resolution changed from -- to DUPLICATE

转到JIRA上跟踪

#28 - 2023-06-17 11:44 - CDTS_Test 吴诗雨

- Subject changed from 【IOVDEV-28498】【IOVDEV-32043】【IOVDEV-31956】【内部】【VC1】【0095】【台架】【EE环境】【副屏】monkey中断，

疑似重启过� to 【IOVDEV-28498】【IOVDEV-32043】【IOVDEV-31956】【IOVDEV-33351】【内部】【VC1】【0095】【台架】【EE环境】【副屏

】monkey中断，疑似重启过�

#29 - 2023-07-11 16:30 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

以上BUG客户已全关闭，跟踪多个版本未复现

#30 - 2023-07-11 16:30 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
